## ocaml-ptmap 2.0.4

=== Makefile ===
all:
	obuild configure
	obuild build lib-ptmap

test: unit_tests.ml
	obuild configure --enable-tests
	obuild build
	obuild test --output

doc:
	mkdir -p doc
	ocamldoc -d doc/ -html ptmap.mli

install: all
	obuild install

uninstall:
	ocamlfind -remove ptmap

clean:
	obuild clean
	rm -rf doc qtest.targets.log oUnit-anon.cache unit_tests.ml

unit_tests.ml: ptmap.ml
	qtest extract ptmap.ml -o unit_tests.ml

=== debian/changelog ===
ocaml-ptmap (2.0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #913456)
  * Add ocaml-4.05.patch that removes refs to things in OCaml 4.06+.

 -- Andy Li <andy@onthewings.net>  Sun, 02 Dec 2018 22:09:15 +0800

=== debian/control ===
Source: ocaml-ptmap
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Andy Li <andy@onthewings.net>
Standards-Version: 4.2.1
Build-Depends:
 debhelper (>= 10~),
 dh-ocaml,
 ocaml-nox,
 ocaml-findlib,
 ocaml-obuild,
 ocaml-qtest,
 libounit-ocaml-dev,
 libqcheck-ocaml-dev
Homepage: https://github.com/backtracking/ptmap
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ptmap
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ptmap.git

Package: libptmap-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Maps over integers implemented as Patricia trees (Runtime library)
 OCaml implementation of an efficient maps over integers,
 from a paper by Chris Okasaki.

Package: libptmap-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Maps over integers implemented as Patricia trees (Development package)
 OCaml implementation of an efficient maps over integers,
 from a paper by Chris Okasaki.

Package: libptmap-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: libptmap-ocaml-dev
Description: Documentation for ocaml-ptmap
 OCaml implementation of an efficient maps over integers,
 from a paper by Chris Okasaki.
 .
 This package contains documentation for ocaml-ptmap in html format.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

ifeq ($(OCAML_HAVE_OCAMLOPT),no)
OBUILD_CONF_ARGS ?= --disable-executable-native --disable-library-native --disable-library-plugin --enable-executable-bytecode --enable-library-bytecode
endif

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	obuild configure --enable-tests $(OBUILD_CONF_ARGS)
	make unit_tests.ml

override_dh_auto_build:
	obuild build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	[ -e dist/build/test/test-test ] || cp dist/build/test/test-test.byte dist/build/test/test-test
	[ -e dist/build/unit_tests/test-unit_tests ] || cp dist/build/unit_tests/test-unit_tests.byte dist/build/unit_tests/test-unit_tests
	obuild test --output
endif

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	obuild install --destdir $(OCAMLFIND_DESTDIR)

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/backtracking/ptmap/releases .*/archive/v?(\d\S*)\.tar\.gz

## ocaml-ptmap 2.0.5

=== Makefile ===

all:
	dune build

test:
	dune runtest

doc:
	dune build @doc

clean:
	dune clean

=== debian/changelog ===
ocaml-ptmap (2.0.5-5) unstable; urgency=medium

  * Fix d/watch.
  * Bump Standards-Version to 4.7.0 (no changes).

 -- Andy Li <andy@onthewings.net>  Sun, 09 Feb 2025 06:48:27 +0000

ocaml-ptmap (2.0.5-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 09:53:32 +0200

ocaml-ptmap (2.0.5-3) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 06:43:59 +0200

ocaml-ptmap (2.0.5-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 16:01:32 +0200

ocaml-ptmap (2.0.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch to point to upstream .tbz file
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2020 05:40:43 +0200

ocaml-ptmap (2.0.4-3) unstable; urgency=medium

  * Remove ocaml-4.05.patch to build with ocaml 4.08.
  * Bump Standards-Version to 4.4.1 (no changes).

 -- Andy Li <andy@onthewings.net>  Sun, 10 Nov 2019 11:02:04 +0800

ocaml-ptmap (2.0.4-2) unstable; urgency=medium

  * Disable test since the test isn't compatible with recent version of qcheck.
    (Closes: #935617)
  * Bump Standards-Version to 4.4.0 (no changes).
  * Mark libptmap-ocaml-doc Multi-Arch: foreign.

 -- Andy Li <andy@onthewings.net>  Sun, 25 Aug 2019 16:41:56 +0800

=== debian/tests/control ===
Tests: test-native, test-bytecode
Depends: ocaml, ocaml-findlib, @

=== debian/watch ===
version=4
https://github.com/backtracking/ptmap/tags .*/archive/refs/tags/v?(\d\S*).tar\.gz
